#!/bin/sh

ARCH=`rpmbuild --showrc | grep "^build arch" | cut -f 2 -d ":" | sed -e "s/ //g;"`

if [ "x$ARCH" = "x" ]
then
	echo Unable to determine arch!
	exit 1
fi

if [ -f $HOME/.rpmmacros ]
then
	mv $HOME/.rpmmacros $HOME/.rpmmacros.save
fi

echo "%_topdir $HOME/rpmbuild-roadnav/" > $HOME/.rpmmacros

mkdir $HOME/rpmbuild-roadnav/
mkdir $HOME/rpmbuild-roadnav/RPMS
mkdir $HOME/rpmbuild-roadnav/RPMS/$ARCH
mkdir $HOME/rpmbuild-roadnav/SRPMS
mkdir $HOME/rpmbuild-roadnav/SPECS
mkdir $HOME/rpmbuild-roadnav/SOURCES
mkdir $HOME/rpmbuild-roadnav/BUILD

cd ..

./configure || exit 1
make dist || exit 1
cp roadnav-*.tar.gz $HOME/rpmbuild-roadnav/SOURCES || exit 1
rpmbuild -ba --clean roadnav.spec || exit 1

cp $HOME/rpmbuild-roadnav/RPMS/$ARCH/roadnav*.rpm . || exit 1
cp $HOME/rpmbuild-roadnav/SRPMS/roadnav*.rpm . || exit 1

if [ -f $HOME/.rpmmacros.save ]
then
	mv $HOME/.rpmmacros.save $HOME/.rpmmacros
fi

rm -rf $HOME/rpmbuild-roadnav
