/*
 *  Roadnav
 *  App.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Declaration for MapApp - main application class.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef APP_H
#define APP_H

#include <wx/splash.h>
#include <wx/config.h>
#include <wx/cmdline.h>

extern wxConfigBase * g_pConfig;

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Main application class
///
//////////////////////////////////////////////////////////////////////////////
class MapApp : public wxApp
{
	public:
		virtual bool OnInit();
		virtual void OnInitCmdLine(wxCmdLineParser & parser);
		virtual bool OnCmdLineParsed(wxCmdLineParser & parser);

	private:
		void ShowSplash();
		void HideSplash();
		wxSplashScreen * m_wndSplash;
};


DECLARE_APP(MapApp)

#endif
