/*
 *  Roadnav
 *  CountyDialog.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
 
//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// The CountyDialog class is a dialog box allowing the user to
/// select a set of counties (e.g. for downloading).
///
//////////////////////////////////////////////////////////////////////////////

#ifndef _COUNTYDIALOG_H
#define _COUNTYDIALOG_H

#include <wx/listctrl.h>

#include <vector>

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Prompts the user to select one or more counties
///
//////////////////////////////////////////////////////////////////////////////
class CountyDialog : public wxDialog
{
	public:
		CountyDialog(wxWindow *parent, wxFont * pFont, std::vector<wxString> vHighlight);
		void OnOk(wxCommandEvent& event);
	
		std::vector<wxString> m_strSelCounties;
	
	private:
		/// multiselect list control containing the list of counties
		wxListCtrl * m_ctlCounties;
	
		DECLARE_EVENT_TABLE()
};

#endif /* _COUNTYDIALOG_H */
