/*
 *  Roadnav
 *  GPSInterface_None.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Dummy gps interface module for when no GPS unit is installed.
/// 
///
//////////////////////////////////////////////////////////////////////////////

#ifndef GPSINTERFACE_NONE_H
#define GPSINTERFACE_NONE_H

#include "GPSInterface.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Implements dummy "none" interface.
///
//////////////////////////////////////////////////////////////////////////////
class GPSInterface_None : public IGPSInterface
{
	public:
		GPSInterface_None();
		virtual ~GPSInterface_None();
		
		virtual wxString Name();
		virtual EGPSStatus GetData(wxGPSEvent * pGPSEvent);
		virtual wxString GetLastError();
		virtual EGPSStatus AutoDetect(wxThread * pThread);
		
	private:
		/// Last error message
		wxString m_strLastError;
};

#endif // #ifndef GPSINTERFACE_NONE_H
