/*
 *  Roadnav
 *  LocationPageCoordinates.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// \brief This location page allows a set of GPS coordinates to be entered.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef LOCATIONPAGECOORDINATES_H
#define LOCATIONPAGECOORDINATES_H

#include <wx/notebook.h>

#include "libroadnav/Address.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief This location page allows a set of GPS coordinates to be entered.
///
//////////////////////////////////////////////////////////////////////////////
class LocationPageCoordinates : public wxPanel
{
	public:
		LocationPageCoordinates(wxWindow *parent);
		Address GetAddress(wxString * pstrErrorMsg, bool bRoadsOnly);
		void SetAddress(Address cAddress);
		bool MayClose(bool bRoadsOnly);

	private:
		/// Contains the entered coordinates in string form
		wxString m_strCoordinates;

		/// Text control containing the coordinates
		wxTextCtrl * m_ctlCoordinates;
	
		wxString m_strErrorMsg;
		Address m_cAddress;

		DECLARE_EVENT_TABLE()
};

#endif
