/*
 *  Roadnav
 *  PreferencesPageGeneral.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains the general page of the preferences dialog box.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef PREFERENCESPAGEGENERAL_H
#define PREFERENCESPAGEGENERAL_H

#include <wx/notebook.h>
#include <wx/spinctrl.h>

#include "libroadnav/Debug.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Implements the general page of the preferences dialog box
///
//////////////////////////////////////////////////////////////////////////////
class PreferencesPageGeneral : public wxPanel
{
	public:
		PreferencesPageGeneral(wxWindow *parent);
		void OnOk(wxCommandEvent& event);
		void OnClearCache(wxCommandEvent& event);
		void OnClearMaps(wxCommandEvent& event);
	
	private:
		void OnCheckEnableExitCommand(wxCommandEvent & event);

		/// Check box control - should maps automatically be downloaded
		wxCheckBox * m_pctlAutoDownloadMaps;

		wxCheckBox * m_pctlCacheDownloads;

		wxCheckBox * m_pctlAntiAliasedMaps;

		wxTextCtrl * m_pctlZoomMaps;

		wxComboBox * m_pctlSkinPathDay;

		wxComboBox * m_pctlSkinPathNight;
		
		wxTextCtrl * m_pctlLocalDataDirectory;

		wxTextCtrl * m_pctlHomeZip;
		
		wxTextCtrl * m_pctlSpeedControlledCutoffs;

		wxCheckBox * m_pctlEnableExitCommand;

		wxTextCtrl * m_pctlExitCommand;
		
		wxCheckBox * m_pctlAlwaysUseAdvancedWaypointsDialogBox;

#ifdef LIBROADNAV_DEBUG
		wxCheckBox * m_pctlGenerateDebugLog;
#endif

		DECLARE_EVENT_TABLE()
};

#endif
