/*
 *  Roadnav
 *  PreferencesPageProxy.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains the proxy page of the preferences dialog box.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef PREFERENCESPAGEPROXY_H
#define PREFERENCESPAGEPROXY_H

#include <wx/notebook.h>
#include <wx/spinctrl.h>

#include "libroadnav/Debug.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Implements the proxy page of the preferences dialog box
///
//////////////////////////////////////////////////////////////////////////////
class PreferencesPageProxy : public wxPanel
{
	public:
		PreferencesPageProxy(wxWindow *parent);
		void OnOk(wxCommandEvent& event);
		void OnUseSystemProxySettings(wxCommandEvent & event);
	
	private:
		wxCheckBox * m_pctlUseSystemProxySettings;
	
		wxTextCtrl * m_pctlProxyHost;

		wxTextCtrl * m_pctlProxyPort;

		wxTextCtrl * m_pctlProxyUsername;

		wxTextCtrl * m_pctlProxyPassword;

		DECLARE_EVENT_TABLE()
};

#endif
