/*
 *  Roadnav
 *
 *  PreferencesPageRouting.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains the routing page of the preferences dialog box.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef PREFERENCESPAGEROUTING_H
#define PREFERENCESPAGEROUTING_H

#include <wx/notebook.h>
#include <wx/slider.h>

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Implements the routing page of the preferences dialog box
///
//////////////////////////////////////////////////////////////////////////////
class PreferencesPageRouting : public wxPanel
{
	public:
		PreferencesPageRouting(wxWindow *parent);
		void OnOk(wxCommandEvent& event);
	
	private:
		wxSlider * m_pctlSmallRoadsSlider;
		wxSlider * m_pctlLargeRoadsSlider;
		wxSlider * m_pctlHighwaysSlider;

		DECLARE_EVENT_TABLE()
};

#endif
