/*
 *  Roadnav
 *  PreferencesPageScripting.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains the scripting page of the preferences dialog box.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef PREFERENCESPAGESCRIPTING_H
#define PREFERENCESPAGESCRIPTING_H

#include "Scripting.h"

#ifdef USE_SCRIPTING

#include <wx/notebook.h>

#include <vector>

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Implements the scripting page of the preferences dialog box
///
//////////////////////////////////////////////////////////////////////////////
class PreferencesPageScripting : public wxPanel
{
	public:
		PreferencesPageScripting(wxWindow *parent);
		void OnOk(wxCommandEvent& event);
	
	private:
		void OnCheckBox(wxCommandEvent & event);
	
		wxCheckBox * m_pctlTCPServerEnabled;
		wxCheckBox * m_pctlTCPServerAcceptOnlyLocal;
		wxTextCtrl * m_pctlTCPServerPortNumber;
		
		wxCheckBox * m_pctlStartupScriptEnabled;
		wxCheckBox * m_pctlStartupScriptErase;
		wxTextCtrl * m_pctlStartupScriptFilename;
		
		wxTextCtrl * m_pctlExportScriptFilename;

		DECLARE_EVENT_TABLE()
};

#endif

#endif
