/*
 *  Roadnav
 *  PreferencesPageTTS.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains the TTS page of the preferences dialog box.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef PREFERENCESPAGETTS_H
#define PREFERENCESPAGETTS_H

#include <wx/notebook.h>

#include <vector>

#include "TTSFactory.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Implements the TTS page of the preferences dialog box
///
//////////////////////////////////////////////////////////////////////////////
class PreferencesPageTTS : public wxPanel
{
	public:
		PreferencesPageTTS(wxWindow *parent);
		void OnOk(wxCommandEvent& event);
	
	private:
		void OnTestTTS(wxCommandEvent& event);
		ETTSType GetSelectedTTSType();

		wxTextCtrl * m_pctlTestPhrase;
		wxComboBox * m_pctlTTSType;
		wxCheckBox * m_pctlLiveDirectionsTTS;
	
		DECLARE_EVENT_TABLE()
};

#endif
