/*
 *  Roadnav
 *  Printout.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
 
//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// This file contains the Printout class, which is responsible
/// for making a MapControl print to a printer or preview window
///
//////////////////////////////////////////////////////////////////////////////

#ifndef _PRINTOUT_H
#define _PRINTOUT_H

#include "libroadnav/MapControl.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Handles printing out a map
///
//////////////////////////////////////////////////////////////////////////////
class Printout : public wxPrintout
{
	public:
		Printout(wxString strTitle, MapControl * pctlMap);
		bool OnPrintPage(int page);
		bool HasPage(int page);
		void GetPageInfo(int *minPage, int *maxPage, int *selPageFrom, int *selPageTo);
	
	private:
		/// Pointer to a MapControl that will do the actual drawing
		MapControl * m_pctlMap;
};

#endif /* _PRINTOUT_H */
