/*
 *  Roadnav
 *  SaveAsSettingsDialog.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains SaveAsSettingsDialog - a dialog box prompting the user for
/// file->save as settings like how big the map should be, AA level, etc.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef SAVEASSETTINGSDIALOG_H
#define SAVEASSETTINGSDIALOG_H

#include <wx/spinctrl.h>

#include "Frame.h"

//////////////////////////////////////////////////////////////////////////////
///
/// \brief Dialog box showing 'save as' settings
///
//////////////////////////////////////////////////////////////////////////////
class SaveAsSettingsDialog : public wxDialog
{
	public:
		SaveAsSettingsDialog(MapFrame * parent);

		/// Selected image width in pixels
		int m_iWidth;
	
		/// Selected image height in pixels
		int m_iHeight;
	
	private:
		void OnOk(wxCommandEvent& event);
		void OnSizeType(wxCommandEvent& event);

		/// Spinner for width
		wxSpinCtrl * m_pctlWidth;
	
		/// Spinner for height
		wxSpinCtrl * m_pctlHeight;
		
		/// Radio button to select what's visible on the screen
		wxRadioButton * m_pctlVisibleSize;
		
		/// Radio button to specify a custom size for the saved map
		wxRadioButton * m_pctlCustomSize;
		
		MapFrame * m_pParent;
	
		DECLARE_EVENT_TABLE()
};

#endif
