/*
 *  Roadnav
 *  SerialIO.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Serial support functions. Various .cpp implement these functions for each
/// supported platform.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef SERIALIO_H
#define SERIALIO_H

#if defined(__LINUX__) || defined(__DARWIN__) || defined(__WINDOWS__) || defined(__FREEBSD__) || defined(__SUN__)
#define ROADNAV_SERIAL_SUPPORT
#else
#undef ROADNAV_SERIAL_SUPPORT
#endif

#ifdef ROADNAV_SERIAL_SUPPORT
wxString EnumSerialPort(int n);
bool InitSerialIO();
int ReadSerial(char * szBuffer, int nBuffer);
int WriteSerial(const char * szBuffer);
bool ShutdownSerialIO();
wxString GetLastSerialIOError();
#endif

#endif
