/*
 *  Roadnav
 *  StateDialog.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
 
//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Prompts the user to select one or more states.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef _STATEDIALOG_H
#define _STATEDIALOG_H

#include <wx/listctrl.h>

#include <vector>

//////////////////////////////////////////////////////////////////////////////
///
/// \brief wxDialog allowing the selection of one or more states
///
//////////////////////////////////////////////////////////////////////////////
class StateDialog : public wxDialog
{
	public:
		StateDialog(wxWindow *parent);
		void OnOk(wxCommandEvent& event);
	
		std::vector<wxString> m_strSelStates;
	
	private:
		/// List control containing the list of states
		wxListCtrl * m_ctlStates;
	
		DECLARE_EVENT_TABLE()
};

#endif /* _COUNTYDIALOG_H */
