/*
 *  Roadnav
 *  Support.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// General support functions
///
//////////////////////////////////////////////////////////////////////////////

#ifndef SUPPORT_H
#define SUPPORT_H

#include "libroadnav/Address.h"
#include "libroadnav/MapMarker.h"
#include "libroadnav/MapControlData.h"

wxString ProcessEscapeChars(const wxString & strIn);
wxString RoadnavCommonDirectory();
wxString GetDefaultShutdownCommand();
int DownloadCityState(const wxString & strCity, const wxString & strState, IMapControlData * pData);

int QueryAddress(		const wxString & strTitle,
						wxWindow * pParent, 
						class MapControl * pctlMap,
						const wxString & strDefaultStreet, 
						const wxString & strDefaultCity, 
						const wxString & strDefaultState,
						bool bRoadsOnly,
						MapMarker * pcMarker,
						wxString * pstrErrorMsg,
						int iSimple = 2);

void ConfigureProxy();

#endif
