/*
 *  Roadnav
 *  TTS.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Text to speech abstract base class
///
//////////////////////////////////////////////////////////////////////////////

#ifndef TTS_H
#define TTS_H

class ITTS
{
	public: // public functions

		enum ETTSStatus
		{
			TTSStatusOK,
			TTSErrorDisableGPS
		};

		virtual ~ITTS();
		
		virtual wxString Name() = 0;
		virtual ETTSStatus GetStatus() = 0;
		virtual ETTSStatus Speak(const wxString & strText) = 0;
		virtual wxString GetLastError() = 0;
};

#endif
