/*
 *  Roadnav
 *  TTSFactory.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains functions used to generate TTS objects
///
//////////////////////////////////////////////////////////////////////////////

#ifndef TTSFACTORY_H
#define TTSFACTORY_H

#include "TTS.h"

enum ETTSType
{
	TTSTypeNone = 0,
	
#ifdef USE_SAPI5
	TTSTypeSAPI5 = 1,
#endif

#ifdef USE_APPLESPEECH
	TTSTypeAppleSpeech = 2,
#endif

#ifdef USE_FLITE
	TTSTypeFlite = 3,
#endif

#ifdef USE_FESTIVAL
	TTSTypeFestival = 4,
#endif

	TTSTypeUseAny = 5,
};

#define FIRST_TTSTYPE		TTSTypeNone
#define LAST_TTSTYPE		TTSTypeUseAny

ITTS * ConstructTTS(ETTSType eType);

#endif
