/*
 *  Roadnav
 *  TTS_Flite.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Flite text to speech class
///
//////////////////////////////////////////////////////////////////////////////

#ifndef TTS_FLITE_H
#define TTS_FLITE_H

#ifdef USE_FLITE

extern "C"
{
#include <flite/flite.h>
}

#include "TTS.h"

class TTS_Flite : public ITTS
{
	public: // public functions
		TTS_Flite();

		virtual ~TTS_Flite();
		
		virtual wxString Name();
		virtual ETTSStatus GetStatus();
		virtual ETTSStatus Speak(const wxString & strText);
		virtual wxString GetLastError();
		
	private:
		static cst_voice * m_pVoice;
};

#endif // #ifdef USE_FLITE
#endif // #ifndef TTS_FLITE_H
