/*
 *  Roadnav
 *  TTS_SAPI5.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Text to speech using a Microsoft SAPI 5 compliant engine
///
//////////////////////////////////////////////////////////////////////////////

#ifndef TTS_SAPI5_H
#define TTS_SAPI5_H

#ifdef USE_SAPI5

#include "TTS.h"

#include <stdio.h>
#include <sphelper.h>

class TTS_SAPI5 : public ITTS
{
	public: // public functions
		TTS_SAPI5();

		virtual ~TTS_SAPI5();
		
		virtual wxString Name();
		virtual ETTSStatus GetStatus();
		virtual ETTSStatus Speak(const wxString & strText);
		virtual wxString GetLastError();
		
	private:
		CComPtr<ISpVoice> m_cpVoice;
		wxString m_strLastError;
};

#endif // #ifdef USE_SAPI5
#endif // #ifndef TTS_SAPI5_H
