/*
 *  Roadnav
 *  wxStaticTextNoBackground.h
 *
 *  Copyright (c) 2004 - 2007 Richard L. Lynch <rllynch@users.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of version 2 of the GNU General Public License
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
 
//////////////////////////////////////////////////////////////////////////////
/// \file
///
/// Contains wxStaticTextNoBackground - a class similar to wxStaticText, but
/// without the background filled in.
///
//////////////////////////////////////////////////////////////////////////////

#ifndef WXSTATICTEXTNOBACKGROUND_H
#define WXSTATICTEXTNOBACKGROUND_H

#include <wx/wx.h>

//////////////////////////////////////////////////////////////////////////////
///
/// \brief A class similar to wxStaticTextNoBackground, but without the 
/// background filled in.
///
//////////////////////////////////////////////////////////////////////////////
class wxStaticTextNoBackground : public wxControl
{
	public:
		wxStaticTextNoBackground(wxWindow* parent, wxWindowID id, const wxString& label, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = 0, const wxString& name = wxT("staticText"));
	
		virtual void SetLabel(const wxString& label);
		
	private:
		void OnEraseBackground(wxEraseEvent& event);
		void OnPaint(wxPaintEvent& event);
		
		wxWindow * m_pParent;

		DECLARE_EVENT_TABLE()
};

#endif
